package ru.yandex.webmaster3.storage.payments;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Created by Oleg Bazdyrev on 2019-05-28.
 */
public class ServiceMerchantTokenRequest {

    private final String token;
    private final String entityId;
    private final String description;

    public ServiceMerchantTokenRequest(String token, String entityId, String description) {
        this.token = token;
        this.entityId = entityId;
        this.description = description;
    }

    @JsonProperty("token")
    public String getToken() {
        return token;
    }

    @JsonProperty("entity_id")
    public String getEntityId() {
        return entityId;
    }

    @JsonProperty("description")
    public String getDescription() {
        return description;
    }

}
